Secret erstellen
curl --request POST \
--url https://api.devin.ai/v1/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": true,
"note": "<string>"
}
'import requests
url = "https://api.devin.ai/v1/secrets"
payload = {
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": True,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
key: '<string>',
value: '<string>',
sensitive: true,
note: '<string>'
})
};
fetch('https://api.devin.ai/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Secrets-Endpunkte
Secret erstellen
Neues Secret in Ihrer Organisation erstellen
POST
/
v1
/
secrets
Secret erstellen
Erstellen Sie ein neues, verschlüsseltes Secret, das in Devin-Sitzungen verwendet werden kann. Es ist in allen Sitzungen verfügbar, die nach dem Hinzufügen des Secrets erstellt werden.
Request Body
Typ des Secrets. Muss einer der folgenden Werte sein:
cookie, key-value, totpBenutzerdefinierter Name für das Secret. Muss innerhalb der Organisation eindeutig sein.
Der zu speichernde Wert des Secrets. Wird im Ruhezustand verschlüsselt.
Gibt an, ob das Secret als vertraulich behandelt und in Protokollen unkenntlich gemacht werden soll.
Optionale Notiz, die den Zweck des Secrets beschreibt.
Antwort
Die eindeutige Kennung des erstellten Secrets
⌘I

